"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.beeperMethod = beeperMethod;
exports.cameraMethod = cameraMethod;
exports.cardStartConnectAntenna = cardStartConnectAntenna;
exports.cardStopConnectAntenna = cardStopConnectAntenna;
exports.checkConnections = checkConnections;
exports.ledMethod = ledMethod;
exports.printMethod = printMethod;
exports.printView = printView;
exports.startingServices = startingServices;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-getnet-pos' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const GetnetPos = _reactNative.NativeModules.GetnetPos ? _reactNative.NativeModules.GetnetPos : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function startingServices() {
  return GetnetPos.startingServices();
}
function checkConnections() {
  return GetnetPos.checkConnections();
}
function beeperMethod(beeperMode) {
  return GetnetPos.beeperMethod({
    beeperMode: beeperMode
  });
}
function ledMethod(color, turn) {
  return GetnetPos.ledMethod({
    color: color,
    turn: turn
  });
}
function cameraMethod(cameraType, timeout) {
  return GetnetPos.cameraMethod({
    cameraType: cameraType,
    timeout: timeout
  });
}
function cardStartConnectAntenna(cardType, timeout) {
  return GetnetPos.cardStartConnectAntenna({
    cardType: cardType,
    timeout: timeout
  });
}
function cardStopConnectAntenna() {
  return GetnetPos.cardStopConnectAntenna();
}
function printView(props) {
  return GetnetPos.printView(props);
}
function printMethod(props) {
  return GetnetPos.printMethod(props);
}
//# sourceMappingURL=index.js.map