import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-getnet-pos' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const GetnetPos = NativeModules.GetnetPos ? NativeModules.GetnetPos : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function startingServices() {
  return GetnetPos.startingServices();
}
export function checkConnections() {
  return GetnetPos.checkConnections();
}
export function beeperMethod(beeperMode) {
  return GetnetPos.beeperMethod({
    beeperMode: beeperMode
  });
}
export function ledMethod(color, turn) {
  return GetnetPos.ledMethod({
    color: color,
    turn: turn
  });
}
export function cameraMethod(cameraType, timeout) {
  return GetnetPos.cameraMethod({
    cameraType: cameraType,
    timeout: timeout
  });
}
export function cardStartConnectAntenna(cardType, timeout) {
  return GetnetPos.cardStartConnectAntenna({
    cardType: cardType,
    timeout: timeout
  });
}
export function cardStopConnectAntenna() {
  return GetnetPos.cardStopConnectAntenna();
}
export function printView(props) {
  return GetnetPos.printView(props);
}
export function printMethod(props) {
  return GetnetPos.printMethod(props);
}
//# sourceMappingURL=index.js.map