export declare function startingServices(): Promise<boolean>;
interface CheckConnectionsResult {
    connection: boolean;
}
export declare function checkConnections(): Promise<CheckConnectionsResult>;
interface BeeperMethodResult {
    type: string;
    beeper: boolean;
}
export declare function beeperMethod(beeperMode: string): Promise<BeeperMethodResult>;
interface LedMethodResult {
    color: string;
    turn: boolean;
}
export declare function ledMethod(color: string, turn: boolean): Promise<LedMethodResult>;
interface CameraMethodResult {
    error: boolean;
    message: string;
}
export declare function cameraMethod(cameraType: string, timeout: number): Promise<CameraMethodResult>;
interface CardStartConnectAntennaResult {
    error: boolean;
    message: string;
}
export declare function cardStartConnectAntenna(cardType: string, timeout: number): Promise<CardStartConnectAntennaResult>;
interface CardStopConnectAntennaResult {
    stop: boolean;
}
export declare function cardStopConnectAntenna(): Promise<CardStopConnectAntennaResult>;
interface PrintViewRequest {
    type: string;
    value: string;
    align: string;
}
interface PrintViewResult {
    stop: boolean;
}
export declare function printView(props: Array<PrintViewRequest>): Promise<PrintViewResult>;
interface PrintMethodRequest extends PrintViewRequest {
    weight: number;
}
interface PrintMethodResult {
    message: string;
    printer: boolean;
}
export declare function printMethod(props: Array<PrintMethodRequest>): Promise<PrintMethodResult>;
export {};
//# sourceMappingURL=index.d.ts.map